package com.multictrl.modules.business.service;

import com.multictrl.modules.business.dto.remote.debug.ESIMActivate;
import com.multictrl.modules.business.dto.remote.debug.ESIMOperatorSwitch;
import com.multictrl.modules.business.dto.remote.debug.RtkCalibration;
import com.multictrl.modules.business.dto.remote.debug.SIMSlotSwitch;

/**
 * 远程调试接口
 *
 * @author Sdy
 * @since 1.0.0 2026/5/20
 */
public interface DebugService {

    //eSIM 的运营商切换
    String eSIMOperatorSwitch(String dockSn, ESIMOperatorSwitch eSimOperatorSwitch);

    //eSIM和SIM切换
    String simSlotSwitch(String dockSn, SIMSlotSwitch simSlotSwitch);

    //eSIM激活
    String eSimActivate(String dockSn, ESIMActivate eSimActivate);

    //增强图传开关
    String sdrWorkModeSwitch(String dockSn, Integer workMode);

    //电池运行模式切换
    String batteryStoreModeSwitch(String dockSn, Integer action);

    //机场声光报警开关
    String alarmStateSwitch(String dockSn, Integer action);

    //机场空调工作模式切换
    String airConditionerModeSwitch(String dockSn, Integer action);

    //电池保养状态切换
    String batteryMaintenanceSwitch(String dockSn, Integer action);

    //一键标定
    String rtkCalibration(String dockSn, RtkCalibration rtkCalibration);
}
